using System;
using System.Globalization;
using Avalonia.Data.Converters;

namespace detect.gui.Converters;

public class VideoTimeSliderConverter : IValueConverter
{
    public object? Convert(object? value, Type targetType, object? parameter, CultureInfo culture)
    {
        var width = value as double?;
        return width * 0.5;
    }

    public object? ConvertBack(object? value, Type targetType, object? parameter, CultureInfo culture)
    {
        return value;
    }
}